POST /v1/auth/mfa/webauthn/register/begin
POST /v1/auth/mfa/webauthn/register/begin — start a passkey
registration ceremony. Auth-required (the user is already
signed in; passkeys are a step-up factor enrollment).
Tags: auth
Request body
Required.
JSON
{
"$ref": "#/components/schemas/WebauthnRegisterBeginRequest"
}Responses
200
JSON
{
"$ref": "#/components/schemas/WebauthnRegisterBeginResponse"
}401 — UNAUTHENTICATED
503 — WebAuthn not configured
Code samples
TypeScript
TypeScript
import { firecase } from "@firecase/sdk";
const result = await firecase.post("/auth/mfa/webauthn/register/begin", { /* body */ });
console.log(result);Python
Python
import firecase
result = firecase.post("/auth/mfa/webauthn/register/begin", json={})
print(result)curl
Bash
curl -X POST https://api.firecase.ai/v1/auth/mfa/webauthn/register/begin \
-H "Authorization: Bearer $FIRECASE_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'